Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.forms.events
Interface IHyperlinkListener

All Known Implementing Classes:
  HyperlinkAdapter

public interface IHyperlinkListener

Classes that implement this interface will be notified when hyperlinks are entered, exited and activated.

Since:
  3.0
See Also:
  `Hyperlink`, `ImageHyperlink`, `FormText`

Method Summary
`void` | `linkActivated(HyperlinkEvent e)` Sent when hyperlink is activated either by mouse click inside the link client area, or by pressing 'Enter' key while hyperlink has keyboard focus.
`void` | `linkEntered(HyperlinkEvent e)` Sent when hyperlink is entered either by mouse entering the link client area, or keyboard focus switching to the hyperlink.
`void` | `linkExited(HyperlinkEvent e)` Sent when hyperlink is exited either by mouse exiting the link client area, or keyboard focus switching from the hyperlink.

Method Detail

### linkEntered

    public void linkEntered(HyperlinkEvent e)

  Sent when hyperlink is entered either by mouse entering the link client area, or keyboard focus switching to the hyperlink.

  Parameters:
    `e` - an event containing information about the hyperlink

### linkExited

    public void linkExited(HyperlinkEvent e)

  Sent when hyperlink is exited either by mouse exiting the link client area, or keyboard focus switching from the hyperlink.

  Parameters:
    `e` - an event containing information about the hyperlink

### linkActivated

    public void linkActivated(HyperlinkEvent e)

  Sent when hyperlink is activated either by mouse click inside the link client area, or by pressing 'Enter' key while hyperlink has keyboard focus.

  Parameters:
    `e` - an event containing information about the hyperlink

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.